Italian Compatibilità vecchie versioni Samsung s3 e cell huawei

ken87

Active Member
Licensed User
Buongiorno,
Il progetto che sto lavorando usa le sdk android-28.
Con questa versione il cel s3 e un huawei con versione sdk 22 non risulta compatibile.
Se compilo un progetto di prova con sdk 25 l'applicazione viene installata e funziona anche s3 e huawei.
Mentre se compilo il programma che sto sviluppando con versioni inferiori a 28 mi da il seguente errore:
B4X:
B4A Versione: 9.01.2
Java Versione: 8
Analisi del Codice.    (0.22s)
Building folders structure.    (0.48s)
Compilazione del codice.    (0.57s)
Compilazione del codice di layouts    (0.28s)
Organizzazione Librerie.    (0.00s)
Generazione file R.    Error
ERROR: In <declare-styleable> FontFamilyFont, unable to find attribute android:font
ERROR: In <declare-styleable> FontFamilyFont, unable to find attribute android:fontStyle
ERROR: In <declare-styleable> FontFamilyFont, unable to find attribute android:fontVariationSettings
ERROR: In <declare-styleable> FontFamilyFont, unable to find attribute android:fontWeight
ERROR: In <declare-styleable> FontFamilyFont, unable to find attribute android:ttcIndex
Quindi se compilo con la 28 tutto funziona ma perdo la compatibilità con i vecchi telefoni segnalando errore nel pacchetto in fase di installazione.
Se uso il vecchio sdk per i vecchi telefoni mi va in errore .
C'è una soluzione?
Grazie mille
 

Sagenut

Well-Known Member
Licensed User
Se usi funzioni che non erano presenti in precedenti versioni android penso che sia inevitabile.
Sai che cosa ti genera l'incompatibilità?
 

Sagenut

Well-Known Member
Licensed User
Se ti è possibile puoi cliccare sul Pacchetto Regalo nelle icone in alto da sinistra per esportare il progetto così possiamo provarlo anche noi.
Io potrei provarlo creando un emulatore con API 22, anche se l'emulatore potrebbe comportarsi diversamente da un device reale.
Vedi tu se vuoi/puoi condividere il tuo progetto.
 
Top